## macs 1.0

=== DESCRIPTION ===
Package: macs
Type: Package
Title: Recursive Partitioning Based Multivariate Adaptive Regression
        Models, Classification Trees, Survival Trees
Version: 1.0
Author: Heping Zhang, Yihao Lu, Haixu Ma, Mingliang Ma, Yidong Zhou, Qi Yu
Maintainer: Qi Yu <me@fredyu.net>
Description: Implements recursive partitioning based, nonparametric methods for high 
    dimensional regression and classification. Depending on the aims of data analysis as well as the 
    structures of the data, macs provides three major functions: multivariate adaptive regression 
    models, classification trees and survival trees. A list of references for this package is, Zhang, H. (1997) <doi:10.1080/10618600.1997.10474728>, Zhang, H. et al. (1999) <ISBN:978-1-4757-3027-2>, Zhang, H. et al. (2014) <doi:10.1002/gepi.21843>.
License: GPL-2
Encoding: UTF-8
LazyData: true
Imports: Rcpp (>= 0.12.17)
LinkingTo: Rcpp
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-10-07 19:49:45 UTC; Frederick Yu
Repository: CRAN
Date/Publication: 2019-10-09 13:30:03 UTC

## macs 2.0.9.1

=== debian/changelog ===
macs (2.0.9.1-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #696331)
  * debian/control:
    - Adaptations to Debian Med team maintenance
    - X-Python-Version: >=2.7 because build fails
      for Python 2.6
    - Standards-Version: 3.9.4 (no changes needed)
    - Priority: optional
  * debian/watch: Removed useless comments
  * debian/README.*: Removed unused dh-make templates
  * debian/copyright: Added some missing information
  * debian/rules:
    - Removed useless dh-make comment
    - use dh_python2
    - use help2man to create manpages
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2012 19:32:44 +0100

macs (2.0.9.1-1ubuntu3) lucid; urgency=low

  * Fix typo in debian/rules

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 05 Jan 2012 18:22:46 +0000

macs (2.0.9.1-1ubuntu2) lucid; urgency=low

  * Package for PPA
  * Packaged from version 2.0.9-1
  * Changed debian/rules to override dh_auto_clean to remove *.c files 

 -- H. Soon Gweon (Key for package building) <soonio@gmail.com>  Thu, 05 Jan 2012 13:10:02 +0000

=== debian/control ===
Source: macs
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
 H. Soon Gweon <hyugwe@ceh.ac.uk>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), cython (>= 0.15), python-dev (>= 2.7), help2man,
 python-numpy
Standards-Version: 3.9.4
X-Python-Version: >=2.7
Homepage: https://github.com/taoliu/MACS/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/macs/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/macs/trunk/

Package: macs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Description: Model-based Analysis of ChIP-Seq on short reads sequencers
 MACS empirically models the length of the sequenced ChIP fragments, which 
 tends to be shorter than sonication or library construction size estimates, 
 and uses it to improve the spatial resolution of predicted binding sites. 
 MACS also uses a dynamic Poisson distribution to effectively capture local 
 biases in the genome sequence, allowing for more sensitive and robust 
 prediction. MACS compares favorably to existing ChIP-Seq peak-finding 
 algorithms, is publicly available open source, and can be used for ChIP-Seq 
 with or without control samples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for macs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	find -type f -name '*.c' -exec rm -f '{}' ';' 

override_dh_auto_install:
	dh_auto_install
	
	# try to create man pages whereever possible
	mkdir -p $(mandir)	
	export PYTHONPATH=$(CURDIR)/build/`ls build | grep ^lib\. | head -n 1` ; \
	export PATH=$(CURDIR)/build/`ls build | grep ^scripts- | head -n 1`:$${PATH} ; \
	help2man --no-info --name='Fine-tuning script to call broad peaks from a single bedGraph track for scores' \
	    --version-string="$(version)"  \
		 bdgbroadcall > $(mandir)/bdgbroadcall.1 ; \
	help2man --no-info --name='Calculate scores using certain method by comparing a bedGraph file from treatment and a file from control representing local bias' \
	    --version-string="$(version)"  \
		 bdgcmp > $(mandir)/bdgcmp.1 ; \
	help2man --no-info --name='Naive call differential peaks from 4 bedGraph tracks for scores' \
	    --version-string="$(version)" \
		 bdgdiff > $(mandir)/bdgdiff.1 ; \
	help2man --no-info --name='Naive call peaks from a single bedGraph track for scores' \
	    --version-string="$(version)" \
		 bdgpeakcall > $(mandir)/bdgpeakcall.1 ; \
	help2man --no-info --name='Filter duplicate reads depending on sequencing depth' \
	    --version-string="$(version)" \
		 filterdup > $(mandir)/filterdup.1 ; \
	help2man --no-info --name='Model-based Analysis for ChIP-Sequencing' \
	    --version-string="$(version)" \
		 macs2 > $(mandir)/macs2.1 ; \
	help2man --no-info --name='Differential Analysis for ChIP-Sequencing' \
	    --version-string="$(version)" \
		 macs2diff > $(mandir)/macs2diff.1 ; \
	help2man --no-info --name='Random sample certain number/percentage of tags' \
	    --version-string="$(version)" \
		 randsample > $(mandir)/randsample.1

=== debian/watch ===
version=3

opts="uversionmangle=s/-/./" \
https://github.com/taoliu/MACS/downloads /downloads/.*/MACS/MACS-(.*)\.tar\.gz

## macs 2.1.0.20150731

=== debian/changelog ===
macs (2.1.0.20150731-1) unstable; urgency=low

  * debian/watch: now released via PyPI.
  * debian/rules:
     - 2.1.0 uses a single binary with subcommands, manpages have been updated
     - use pybuild
  * debian/control:
     - `cme fix dpkg-control` reformating
     - added myself to uploaders
     - upgrades to standards-version 3.9.6,dropped deprecated DM-Upload-Allowed
     - now managed via git; VCS URLs updated
  * debian/upstream/metadata: added paper
  * debian/upstream/signing-key.asc: upstream now signs their releases
  * debian/copyright:
     - upstream is now BSD-3-clause
     - MACS2/khash.h is Expat licensed
  * debian/lintian-overrides: silence warning about line breaks
  * debian/manpages: install manual pages using dh_installman
  * debian/patches/{series,spelling}: fix two spelling errors from upstream
  * debian/docs: README is now README.rst

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 03 Oct 2015 10:37:31 -0700

=== debian/control ===
Source: macs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
           Tim Booth <tbooth@ceh.ac.uk>,
           H. Soon Gweon <hyugwe@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-numpy,
               python-setuptools,
               help2man,
               cython
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/macs.git
Vcs-Git: git://anonscm.debian.org/debian-med/macs.git
Homepage: http://github.com/taoliu/MACS/
X-Python-Version: >=2.7

Package: macs
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Model-based Analysis of ChIP-Seq on short reads sequencers
 MACS empirically models the length of the sequenced ChIP fragments, which 
 tends to be shorter than sonication or library construction size estimates, 
 and uses it to improve the spatial resolution of predicted binding sites. 
 MACS also uses a dynamic Poisson distribution to effectively capture local 
 biases in the genome sequence, allowing for more sensitive and robust 
 prediction. MACS compares favorably to existing ChIP-Seq peak-finding 
 algorithms, is publicly available open source, and can be used for ChIP-Seq 
 with or without control samples.

## macs 2.1.0.20151222

=== debian/changelog ===
macs (2.1.0.20151222-1) unstable; urgency=medium

  * New upstream release
  * A couple more spelling fixes & updated VCS URLs.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Mon, 01 Feb 2016 09:49:01 -0800

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                help2man,
                cython
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/macs.git
-Vcs-Git: git://anonscm.debian.org/debian-med/macs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/macs.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/macs.git
 Homepage: http://github.com/taoliu/MACS/
 X-Python-Version: >=2.7

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=MACS2
DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
subcommands=callpeak bdgpeakcall bdgbroadcall bdgcmp bdgopt cmbreps bdgdiff \
	      filterdup predictd pileup randsample refinepeak
tagline=\- Model\-based Analysis for ChIP\-Sequencing
# DH_VERBOSE := 1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	for pyx in `find MACS2/ -name "*.pyx" | grep -v khash`; do \
		rm -f $${pyx%%.pyx}.{h,c}; touch $${pyx}; done
	cp setup.py setup.py.orig
	cp setup_w_cython.py setup.py
	dh_auto_build
	PYTHONPATH=./.pybuild/pythonX.Y_2.7/build/ help2man \
		--no-discard-stderr --no-info \
		--name "macs2 ${tagline}" "python bin/macs2" > debian/macs2.1
	for subcommand in ${subcommands}; do printf \
		"[NAME]\nmacs2_$${subcommand} ${tagline}\n" \
		> debian/macs2_$${subcommand}-man-include; done
	for subcommand in ${subcommands}; do \
		PYTHONPATH=./.pybuild/pythonX.Y_2.7/build/ help2man \
		--no-discard-stderr --no-info --version-string="$(VERSION)" \
		--include debian/macs2_$${subcommand}-man-include \
		"python bin/macs2 $${subcommand}" > \
		debian/macs2_$${subcommand}.1; done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.1 debian/*-man-include

## macs 2.1.1.20160226

=== debian/changelog ===
macs (2.1.1.20160226-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 05 Mar 2016 09:53:12 -0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-setuptools,
                help2man,
                cython
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/macs.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/macs.git
 Homepage: http://github.com/taoliu/MACS/

## macs 2.1.1.20160309

=== debian/changelog ===
macs (2.1.1.20160309-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * debian/upstream/metadata:
     - UTF-8 notation of names rather than TeX syntax
     - added eprint
  * d/rules: Do not parse d/changelog
  * Remove Tim Booth and H. Soon Gweon from Uploaders
  * Standards-Version: 4.1.3
  * hardening=+all
  * debhelper 11

  [ Katerina Kalou ]
  * Add autopkgtest (Closes: #879622)

 -- Katerina Kalou <aik.kalou@gmail.com>  Mon, 19 Feb 2018 20:00:45 +0200

macs (2.1.1.20160309-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Refresh & re-submit spelling patch
  * enable "bindnow" linker flag hardening

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 May 2016 10:49:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: macs
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
-           Tim Booth <tbooth@ceh.ac.uk>,
-           H. Soon Gweon <hyugwe@ceh.ac.uk>,
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all-dev,
                python-numpy,
                python-setuptools,
                help2man,
                cython
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/macs.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/macs.git
 Homepage: http://github.com/taoliu/MACS/

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=MACS2
-DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
-VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+include /usr/share/dpkg/default.mk
+
 subcommands=callpeak bdgpeakcall bdgbroadcall bdgcmp bdgopt cmbreps bdgdiff \
 	      filterdup predictd pileup randsample refinepeak
 tagline=\- Model\-based Analysis for ChIP\-Sequencing
@@ -25,7 +27,7 @@
 		> debian/macs2_$${subcommand}-man-include; done
 	for subcommand in ${subcommands}; do \
 		PYTHONPATH=./.pybuild/pythonX.Y_2.7/build/ help2man \
-		--no-discard-stderr --no-info --version-string="$(VERSION)" \
+		--no-discard-stderr --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
 		--include debian/macs2_$${subcommand}-man-include \
 		"python bin/macs2 $${subcommand}" > \
 		debian/macs2_$${subcommand}.1; done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/MACS2/MACS2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## macs 2.1.2.1

=== debian/changelog ===
macs (2.1.2.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Michael R. Crusoe ]
  * New upstream release
  * Drop spelling patch (incorporated upstream)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 22 Oct 2018 08:51:13 -0700

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                python-setuptools,
                help2man,
                cython
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/macs.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/macs.git
-Homepage: http://github.com/taoliu/MACS/
-X-Python-Version: >=2.7
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/macs
+Vcs-Git: https://salsa.debian.org/med-team/macs.git
+Homepage: https://github.com/taoliu/MACS/
 
 Package: macs
 Architecture: any

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MACS2/MACS2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## macs 2.2.4

=== debian/changelog ===
macs (2.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Build with Python3
    Closes: #936976

 -- Andreas Tille <tille@debian.org>  Thu, 03 Oct 2019 21:18:16 +0200

macs (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Add patch to fix spelling typo

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 01 Oct 2019 12:35:55 +0200

macs (2.1.3.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 30 Sep 2019 13:34:12 +0200

=== debian/control ===
Source: macs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-dev,
               python3-numpy,
               python3-setuptools,
               help2man,
               cython3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/macs
Vcs-Git: https://salsa.debian.org/med-team/macs.git
Homepage: https://github.com/taoliu/MACS/

Package: macs
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Model-based Analysis of ChIP-Seq on short reads sequencers
 MACS empirically models the length of the sequenced ChIP fragments, which
 tends to be shorter than sonication or library construction size estimates,
 and uses it to improve the spatial resolution of predicted binding sites.
 MACS also uses a dynamic Poisson distribution to effectively capture local
 biases in the genome sequence, allowing for more sensitive and robust
 prediction. MACS compares favorably to existing ChIP-Seq peak-finding
 algorithms, is publicly available open source, and can be used for ChIP-Seq
 with or without control samples.

## macs 2.2.6

=== debian/changelog ===
macs (2.2.6-2) unstable; urgency=medium

  * Run even more tests.
  * Patch from upstream to fix test that fails with Python 3.8.1rc1+

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 13:24:14 -0800

macs (2.2.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop cython from Build-Depends

  [ Michael R. Crusoe ]
  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Get sources from GitHub, so we have the tests
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 15:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-dev,
+               python3-all-dev,
                python3-numpy,
                python3-setuptools,
+               python3-pytest,
                help2man,
-               cython3
+               procps
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/macs
 Vcs-Git: https://salsa.debian.org/med-team/macs.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=MACS2
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

subcommands=callpeak bdgpeakcall bdgbroadcall bdgcmp bdgopt cmbreps bdgdiff \
	      filterdup predictd pileup randsample refinepeak
tagline=\- Model\-based Analysis for ChIP\-Sequencing
# DH_VERBOSE := 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	#for pyx in `find MACS2/ -name "*.pyx" | grep -v khash`; do \
	#	rm -f $${pyx%%.pyx}.{h,c}; touch $${pyx}; done
	dh_auto_build
	PYTHONPATH=./.pybuild/pythonX.Y_*/build/ help2man \
		--no-discard-stderr --no-info \
		--name "macs2 ${tagline}" "python3 bin/macs2" > debian/macs2.1
	for subcommand in ${subcommands}; do printf \
		"[NAME]\nmacs2_$${subcommand} ${tagline}\n" \
		> debian/macs2_$${subcommand}-man-include; done
	for subcommand in ${subcommands}; do \
		PYTHONPATH=./.pybuild/pythonX.Y_*/build/ help2man \
		--no-discard-stderr --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
		--include debian/macs2_$${subcommand}-man-include \
		"python3 bin/macs2 $${subcommand}" > \
		debian/macs2_$${subcommand}.1; done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	cd test && for PY3VER in $(shell py3versions -vs); do \
	export PATH=$(CURDIR)/build/scripts-$${PY3VER}:$$PATH \
		&& export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${PY3VER}_MACS2/build \
		&& ./cmdlinetest macs$(DEB_VERSION)-$${PY3VER} ; done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf test/macs$(DEB_VERSION)* test/speedtest*
	rm -f debian/*.1 debian/*-man-include

## macs 2.2.7.1

=== requirements.txt ===
numpy>=1.17
cython>=0.29
pytest>=4.6
pytest-cov>=2.8
codecov>=2.0
setuptools>=41.2

=== debian/changelog ===
macs (2.2.7.1-5ubuntu1) jammy; urgency=medium

  * Rewrite a test case to avoid a long-standing floating point
    rounding error, that now also affects ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Apr 2022 11:41:56 +0000

macs (2.2.7.1-5) unstable; urgency=medium

  * Enable Builds with python3.10
    Closes: #998440

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 14:29:12 +0100

macs (2.2.7.1-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:24:57 +0200

macs (2.2.7.1-3) unstable; urgency=medium

  * Link properly with libm
    Closes: #965073
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 23:27:39 +0200

macs (2.2.7.1-2) unstable; urgency=medium

  * Ensure that debian/rules clean always suceeds. Closes #958109

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 27 Apr 2020 19:31:48 +0200

macs (2.2.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debian/patches/fix_test_signal_failures: removed, applied upstream
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add cython3 build-dep and force a fresh cythonizing
  * debian/patches/keep_debug: remove the -g0 from setup.py
  * fix manpages by adjusting the PYTHONPATH

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 10:29:34 +0200

macs (2.2.6-3) unstable; urgency=medium

  * Skip command line tests on arm64 ppc64el s390x.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 28 Dec 2019 12:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: macs
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-numpy,
                python3-setuptools,
+               python3-pip,
                python3-pytest,
+               cython3,
                help2man,
                procps
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/macs
 Vcs-Git: https://salsa.debian.org/med-team/macs.git
 Homepage: https://github.com/taoliu/MACS/
+Rules-Requires-Root: no
 
 Package: macs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,17 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	#for pyx in `find MACS2/ -name "*.pyx" | grep -v khash`; do \
-	#	rm -f $${pyx%%.pyx}.{h,c}; touch $${pyx}; done
+	for pyx in $$(find MACS2/ -name "*.pyx"); do \
+		rm -f $${pyx%%.pyx}.{h,c}; touch $${pyx}; done
 	dh_auto_build
-	PYTHONPATH=./.pybuild/pythonX.Y_*/build/ help2man \
+	PYTHONPATH=./.pybuild/cpython3_$$(py3versions -v -d)_MACS2/build/ help2man \
 		--no-discard-stderr --no-info \
 		--name "macs2 ${tagline}" "python3 bin/macs2" > debian/macs2.1
 	for subcommand in ${subcommands}; do printf \
 		"[NAME]\nmacs2_$${subcommand} ${tagline}\n" \
 		> debian/macs2_$${subcommand}-man-include; done
 	for subcommand in ${subcommands}; do \
-		PYTHONPATH=./.pybuild/pythonX.Y_*/build/ help2man \
+		PYTHONPATH=./.pybuild/cpython3_$$(py3versions -v -d)_MACS2/build/ help2man \
 		--no-discard-stderr --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
 		--include debian/macs2_$${subcommand}-man-include \
 		"python3 bin/macs2 $${subcommand}" > \
@@ -33,13 +33,15 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
+ifeq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el s390x))
 	cd test && for PY3VER in $(shell py3versions -vs); do \
 	export PATH=$(CURDIR)/build/scripts-$${PY3VER}:$$PATH \
 		&& export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${PY3VER}_MACS2/build \
 		&& ./cmdlinetest macs$(DEB_VERSION)-$${PY3VER} ; done
 endif
+endif
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean || true
 	rm -Rf test/macs$(DEB_VERSION)* test/speedtest*
 	rm -f debian/*.1 debian/*-man-include

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/taoliu/MACS/releases/latest .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## macs 2.2.9.1

=== requirements.txt ===
numpy>=1.19
cython~=0.29
pytest>=4.6
setuptools>=41.2

=== debian/changelog ===
macs (2.2.9.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1042180, #1041203
  * d/patches: drop enable_python3.10.patch & no-pip.patch; they are no
    longer needed
  * d/patches: forward patches upstream as appropriate.
  * no longer call dh_auto_clean to avoid call to "setup.py clean" which
    always runs cython.
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Aug 2023 12:18:49 +0200

macs (2.2.7.1-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: macs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-numpy,
                python3-setuptools,
@@ -15,7 +14,7 @@
                cython3,
                help2man,
                procps
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/macs
 Vcs-Git: https://salsa.debian.org/med-team/macs.git
 Homepage: https://github.com/taoliu/MACS/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # DH_VERBOSE := 1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	for pyx in $$(find MACS2/ -name "*.pyx"); do \
@@ -42,6 +42,5 @@
 endif
 
 override_dh_auto_clean:
-	dh_auto_clean || true
 	rm -Rf test/macs$(DEB_VERSION)* test/speedtest*
 	rm -f debian/*.1 debian/*-man-include

## macs 3.0.1

=== requirements.txt ===
Cython~=3.0
numpy>=1.24.2
scipy>=1.11.4
scikit-learn>=1.2.1
hmmlearn>=0.3
cykhash>=2.0,<3.0 
pytest>=7.0
setuptools>=60.0

=== debian/changelog ===
macs (3.0.1-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:39 +1100

macs (3.0.1-2) unstable; urgency=medium

  * d/rules: make use of dh_numpy3 to add the numpy ABI dependency.
  * d/patches/spelling: fix typos.
  * d/lintian-overrides: update to match change in warnings.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 Feb 2024 12:39:52 +0100

macs (3.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version. Closes: #1056813
  * New Build-Depends: python3-cykhash, python3-hmmlearn
  * Fix location of simde header
  * No runtime dependency from cython
    Closes: #1057991

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches.
  * d/copyright: MACS2/khash.h→MACS3/fermi-lite/khash.h
  * d/clean: remove temp/ directory leftover from test execution.
    Closes: #1047612
  * d/rules: s/MACS2/MACS3/g for new major version.
  * d/patches/simde: doesn't need forwarding
  * d/control: build dep on newer packaging version of cykhash to pick
    up Python 3.12 support.
  * d/control: build dep on newer packaging version of hmmlearn to pick
    up Python 3.12 support.
  * d/rules: choose a better path to the launch script for testing

  TODO: cmdline test failures:
   16.18.1 checking hmmratac hmmratac_yeast500k_accessible_regions.gappedPeak
   16.18.2 checking hmmratac hmmratac_yeast500k_bedpe_accessible_regions.gappedPeak
   16.18.3 checking hmmratac hmmratac_yeast500k_load_hmm_model_accessible_regions.gappedPeak
   16.18.4 checking hmmratac hmmratac_yeast500k_load_training_regions_accessible_regions.gappedPeak
  * d/patch/no_install_depends_cython.patch removed, applied upstream.
  * add patch to force the use of Python3.
  * d/control: add build-dep on bc for the tests.
  * d/patches/adapt_to_prelease_hmmlearn.patch: patch from the upstream
    author to match the prelease version of hmmlearn in the archive.
  * d/patches/invalid_escape_sequence: fix a SyntaxWarning.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Feb 2024 12:56:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: macs
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-numpy,
                python3-setuptools,
                python3-pip,
                python3-pytest,
+               python3-cykhash,
+               python3-hmmlearn,
+               libsimde-dev,
                cython3,
                help2man,
-               procps
+               procps,
+               bc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/macs
 Vcs-Git: https://salsa.debian.org/med-team/macs.git
@@ -24,7 +30,8 @@
 Architecture: any
 Depends: ${python3:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-hmmlearn
 Description: Model-based Analysis of ChIP-Seq on short reads sequencers
  MACS empirically models the length of the sequenced ChIP fragments, which
  tends to be shorter than sonication or library construction size estimates,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=MACS3
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

subcommands=callpeak bdgpeakcall bdgbroadcall bdgcmp bdgopt cmbreps bdgdiff \
	      filterdup predictd pileup randsample refinepeak
tagline=\- Model\-based Analysis for ChIP\-Sequencing
# DH_VERBOSE := 1

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_python3:
	dh_numpy3

override_dh_auto_build:
	for pyx in $$(find MACS3/ -name "*.pyx"); do \
		rm -f $${pyx%%.pyx}.{h,c}; touch $${pyx}; done
	dh_auto_build
	PYTHONPATH=./.pybuild/cpython3_$$(py3versions -v -d)_MACS3/build/ help2man \
		--no-discard-stderr --no-info \
		--name "macs3 ${tagline}" "python3 bin/macs3" > debian/macs3.1
	for subcommand in ${subcommands}; do printf \
		"[NAME]\nmac3_$${subcommand} ${tagline}\n" \
		> debian/macs3_$${subcommand}-man-include; done
	for subcommand in ${subcommands}; do \
		PYTHONPATH=./.pybuild/cpython3_$$(py3versions -v -d)_MACS3/build/ help2man \
		--no-discard-stderr --no-info --version-string="$(DEB_VERSION_UPSTREAM)" \
		--include debian/macs3_$${subcommand}-man-include \
		"python3 bin/macs3 $${subcommand}" > \
		debian/macs3_$${subcommand}.1; done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
ifeq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el s390x))
	cd test && for PY3VER in $(shell py3versions -vs); do \
	export PATH=$(CURDIR)/.pybuild/cpython3_$${PY3VER}_MACS3/scripts:$$PATH \
		&& export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${PY3VER}_MACS3/build \
		&& ./cmdlinetest macs$(DEB_VERSION)-$${PY3VER} ; done
endif
endif

override_dh_auto_clean:
	rm -Rf test/macs$(DEB_VERSION)* test/speedtest*
	rm -f debian/*.1 debian/*-man-include

## macs 3.0.2

=== requirements.txt ===
Cython>=3.0,<3.1
numpy>=1.25,<2.0.0
scipy>=1.12
scikit-learn>=1.3
hmmlearn>=0.3.2
cykhash>=2.0,<3.0 
pytest>=7.0
setuptools>=68.0

=== MACS3/fermi-lite/Makefile ===
# this Makefile is not used by MACS3, but I kept here for debugging.

CC=		gcc
CFLAGS=		-g -Wall -O2 -Wno-unused-function -DNO_WARN_X86_INTRINSICS  #-fno-inline-functions -fno-inline-functions-called-once
CPPFLAGS=
INCLUDES=	
OBJS=		kthread.o misc.o \
			bseq.o htab.o bfc.o \
			rle.o rope.o mrope.o rld0.o \
			unitig.o mag.o bubble.o ksw.o
PROG=		fml-asm
LIBS=		-lm -lz -lpthread

# for simde: https://github.com/lh3/bwa/pull/283/

CFLAGS += -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES -DSIMDE_ENABLE_OPENMP -fopenmp-simd
INCLUDES += -I.

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(CPPFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

fml-asm:libfml.a example.o
		$(CC) $(CFLAGS) $^ -o $@ -L. -lfml $(LIBS)

libfml.a:$(OBJS)
		$(AR) -csru $@ $(OBJS)

clean:
		rm -fr gmon.out *.o ext/*.o a.out $(PROG) *~ *.a *.dSYM session*

depend:
		(LC_ALL=C; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) -- *.c)

# DO NOT DELETE

bfc.o: htab.h kmer.h internal.h fml.h kvec.h ksort.h
bseq.o: fml.h kseq.h
bubble.o: mag.h kstring.h fml.h kvec.h ksw.h internal.h khash.h
example.o: fml.h
htab.o: htab.h kmer.h khash.h
ksw.o: ksw.h
mag.o: mag.h kstring.h fml.h kvec.h internal.h kseq.h khash.h ksort.h
misc.o: internal.h fml.h kstring.h rle.h mrope.h rope.h rld0.h mag.h kvec.h
misc.o: htab.h kmer.h khash.h
mrope.o: mrope.h rope.h
rld0.o: rld0.h
rle.o: rle.h
rope.o: rle.h rope.h
unitig.o: kvec.h kstring.h rld0.h mag.h fml.h internal.h ksort.h

=== debian/changelog ===
macs (3.0.2-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:18:44 +0000

macs (3.0.2-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:51:03 +0000

macs (3.0.2-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:28:49 +0000

macs (3.0.2-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:27 +0100

macs (3.0.2-1) unstable; urgency=medium

  * d/rules: document that the openmp-simd and related SIMDe build flags are
    already set by upstream.
  * New upstream version
  * Dropped 4 patches applied upsteram; refreshed the rest

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 08 Sep 2024 01:09:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: macs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export PYBUILD_NAME=MACS3
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+#export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+#export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+# not necessary, upstream does this already in setup.py
 
 include /usr/share/dpkg/default.mk
